Index

Click on one of the topics to read more

  • General
    General information about the Camouflage plug-in.
  • Operation
    Instructions on all the controls and features.
Copyright ©2001-2005 Martijn W. van der Lee/VanDerLee.


General

Here you'll find some general information about the Camouflage plug-in.

  • About Camouflage
    What Camouflage is and what it can do (sample pictures included).
  • Installation
    The requirements and (un-)installation procedure for the Camouflage plug-in.
  • History
    A list of changes for each version update.
  • Legal agreement
    If you wish to use Camouflage you must agree to the legal agreement.


About Camouflage

Cowskin Camouflage is a plug-in for PhotoShop™ compatible plug-in hosts. It will work with applications such as Adobe PhotoShop™, JASC Paint Shop Pro™, Corel PhotoPaint™, ULead PhotoImpact™ and MicroGrafx Picture Publisher™ amongst others (for a complete list, read the installation instructions).

Camouflaged text The Camouflage plug-in can be used for creating any type of camouflage seen in real life including but not limited to realistic army patterns and animal patterns such as a cows' skin texture. There is a large lists of presets available including many color sets based on actual WW2 or modern camouflage patterns used on army vehicles, some popular camouflage patterns for clothing and a threesome of animal patterns.

Seamless textures You have full control over the effect in the form of scale, blur and falloff which can be applied to up to 8 fully configurable colors so you're not just limited to these realistic patterns but you can make anything you want, ranging from very wild color blends to outer-space colors to anything you can imagine.

This plug-in is also ideal for creating textures for 3D (in-game-) artwork; the textures generated are automatically scaled to the image size so you can easily create mipmaps and all textures wrap perfectly seamless so you won't have to do any post-processing.

Contacting
You can contact us for technical support or other questions/remarks.
On the internet: http://www.vanderlee.com
Using E-Mail: support@vanderlee.com
By snail mail: VanDerLee, Aagje Dekenlaan 34, 1403 HH, Bussum, The Netherlands.


Installation

System requirements
Processor: Intel 80486 or compatible (including but not limited to AMD, Cyrix, IBM and WinChip).
Operating system: Windows 95 or above (including but not limited to Windows 98, Windows NT 4.0 and Windows 200x, Windows XP).
Harddisk: At least 1 MB free space.
A fully PhotoShop plug-in compatible software package.

Un-installing
Since no modifications are made to the system by installing the Camouflage plug-in you can just manually remove the files and any directories or shortcuts you may have made yourself.


Legal agreement

Copyright ©2001-2005 Martijn W. van der Lee/VanDerLee.

Legal agreement
Martijn van der Lee permits you use the Camouflage plug-in (Software) conditioned on your acceptance of this agreement. Use of this Software will be taken to mean acceptance of this agreement, so please read the following terms carefully before you use the Software.

1. Copyright and permission for use
Martijn van der Lee grants you as an individual the right to use the Software on only one computer at any single time. The ownership and copyright of the Program belongs to Martijn van der Lee.

2. Prohibitions and restrictions
You may not reverse-compile, disassemble, reverse-engineer, or use any other method to convert the Software into a human-readable form, nor may you allow another person to do so. The Software may not be duplicated, corrected, modified, lent, leased, sold, distributed, licensed or disposed of in any other way in part or in whole if money or other means of payment or restitution are involved. The creation of derivative works based on the content of the Software is also prohibited. Your rights regarding the Software may be transferred to a third party only if this is done for non-commercial purposes and if the Software and all associated documentation including this agreement are included, and if the third party accepts this agreement.

3. Limitations of Liability
The Software was developed at, and is copyrighted by, Martijn van der Lee. The Software is offered "AS IS" and Martijn van der Lee makes no warranty as to its use or performance.
MARTIJN VAN DER LEE AND ITS SUPPLIERS DO NOT AND CANNOT WARRANT THE PERFORMANCE OR RESULTS YOU MAY OBTAIN BY USING THE SOFTWARE OR DOCUMENTATION. MARTIJN VAN DER LEE AND ITS SUPPLIERS MAKE NO WARRANTIES, EXPRESS OR IMPLIED, AS TO NON INFRINGEMENT OF THIRD PARTY RIGHTS, MERCHANTABILITY, OR FITNESS FOR ANY PARTICULAR PURPOSE. IN NO EVENT WILL MARTIJN VAN DER LEE OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, INCIDENTAL OR SPECIAL DAMAGES, INCLUDING ANY LOST PROFITS OR LOST SAVINGS, EVEN IF MARTIJN VAN DER LEE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY THIRD PARTY.


History

v1.03
 · Bug fix: generated patterns were not seamless when blur was used.
· Now blurring always works for all image sizes in it's full range.
· "Delete settings" button added.
· New user interface.
· Performance increases.

v1.01
· Bug fixed; non-square images were not seamless at the right- or bottom-most areas.

v1.00
· First release.


Operation

window.gif (10627 bytes) Operation

The Camouflage plug-in is rather easy to use so operation should be pretty much self-explanatory. This section will therefore only serve as an overview to get you going.

The screenshot shown on the right is the window you'll see when starting the plug-in, it contains a few sections, labeled with the red digits, which will be described in sequence.

1. Preview

If you're familiar with our other plug-ins, you'll know how to use the preview window.
On top is the big preview window, if the image doesn't fit into the preview area, you can pan it around by clicking the left mouse button anywhere on the image and dragging whilst keeping the button pressed.
Beneath the preview is the progress indicator and the zoom buttons which will let you either zoom in or out of the image.

2. Effect controls

These four controls determine the shape and size of the effect. From top to bottom they are;
Scale, used to set the size (and consequently, the amount) of the spots, setting this value too low may produce faulty results on small images (either width or height less then 105 pixels) or small zoom levels.
Blur, controls how "rough" the spots appear to be, setting this value too low will show a lot of speckle whereas too high a setting will make the effect look like blobs.
Size fall-off, The fall-off will determine how the size of the spots relative to each other should be. Please note that the fall-off is relative to the first color, not the background. You could set both the background color as the first color to the same color and use three colors if you require falloff control over a bi-color pattern.
Changing the pattern # will change the pattern itself in a random way. As with all controls, the random setting can be saved and will produce identical results each and every time.

3. Colors

These eight boxes show the colors used in the pattern. Colors are applied from the back to the front starting with the leftmost color defined.
Clicking on any of the color boxes will allow you to change it's color by using a standard color dialog.
Clicking the checkboxes will tell Camouflage to use that color for a layer. Logically you are not able to select only one layer, two is the minimum. The background layer is always selected and it's checkbox cannot be switched off.The Camouflage plug-in contains a range of well-known and lesser-known camouflage pattern ranging from WW2 to modern palettes. These colors are based on actual camouflage patterns used in real life and will prove useful if you want realism. Due to the sheer amount of camouflage patterns used in real-life we've had to make a selection which we believe is both varied and accurate enough.
There's also a few animal camouflage patterns included.
As a small note; if you're looking for the well-known "Arctic Snow" army pattern, we've left it out because it's simply plain white.

4. System controls

The Open and Save buttons allow you to save and restore any settings you have made. Clicking either button will show a corresponding window allowing you to open or save settings. The default extension for these settings files is .cfs, it will be added automatically if you do not specify it manually. The format used for saving the files is extensible so future updates of Camouflage will be able to use them.
There is also a Delete button if you wish to remove a settings file.
The two buttons on the right hardly require explanation; the OK button will render the effect to the source image, the Cancel button will return to the host application without any changes to the image.
Left are the Help button, which you have already discovered seeing as you're reading the help system now and a link to our site hidden under the copyright-notice, just click it and you're favorite browser will be launched automatically.

Copyright © 2001-2005 Martijn W. van der Lee/VanDerLee.